Show / Hide Table of Contents

# Class PetMirage

##### Inheritance

System.Object
PetMirage

##### Implements

Lumina.Excel.IExcelRow

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data.TransientSheet

###### Assembly: Dalamud.dll

##### Syntax

    [Sheet("PetMirage", 1912998129U)]
    public class PetMirage : IExcelRow

### Fields

| Improve this Doc View Source

#### Name

##### Declaration

    public string Name

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### unknown10

##### Declaration

    public ushort unknown10

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown12

##### Declaration

    public byte unknown12

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown14

##### Declaration

    public ushort unknown14

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown16

##### Declaration

    public ushort unknown16

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown18

##### Declaration

    public ushort unknown18

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown1a

##### Declaration

    public byte unknown1a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown1c

##### Declaration

    public ushort unknown1c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown1e

##### Declaration

    public ushort unknown1e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown20

##### Declaration

    public ushort unknown20

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown22

##### Declaration

    public byte unknown22

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown24

##### Declaration

    public ushort unknown24

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown26

##### Declaration

    public ushort unknown26

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown28

##### Declaration

    public ushort unknown28

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown2a

##### Declaration

    public byte unknown2a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown2c

##### Declaration

    public ushort unknown2c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown2e

##### Declaration

    public ushort unknown2e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown30

##### Declaration

    public ushort unknown30

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown32

##### Declaration

    public byte unknown32

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown34

##### Declaration

    public ushort unknown34

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown36

##### Declaration

    public ushort unknown36

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown38

##### Declaration

    public ushort unknown38

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown3a

##### Declaration

    public byte unknown3a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown3c

##### Declaration

    public ushort unknown3c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown3e

##### Declaration

    public ushort unknown3e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown4

##### Declaration

    public ushort unknown4

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown40

##### Declaration

    public ushort unknown40

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown42

##### Declaration

    public byte unknown42

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown44

##### Declaration

    public ushort unknown44

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown46

##### Declaration

    public ushort unknown46

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown48

##### Declaration

    public ushort unknown48

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown4a

##### Declaration

    public byte unknown4a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown4c

##### Declaration

    public ushort unknown4c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown4e

##### Declaration

    public ushort unknown4e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown50

##### Declaration

    public ushort unknown50

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown52

##### Declaration

    public byte unknown52

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown54

##### Declaration

    public ushort unknown54

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown56

##### Declaration

    public ushort unknown56

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown58

##### Declaration

    public ushort unknown58

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown5a

##### Declaration

    public byte unknown5a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown5c

##### Declaration

    public ushort unknown5c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown5e

##### Declaration

    public ushort unknown5e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown6

##### Declaration

    public ushort unknown6

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown60

##### Declaration

    public ushort unknown60

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown62

##### Declaration

    public byte unknown62

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown64

##### Declaration

    public ushort unknown64

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown66

##### Declaration

    public ushort unknown66

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown68

##### Declaration

    public ushort unknown68

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown6a

##### Declaration

    public byte unknown6a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown6c

##### Declaration

    public ushort unknown6c

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown6e

##### Declaration

    public ushort unknown6e

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown70

##### Declaration

    public ushort unknown70

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown72

##### Declaration

    public byte unknown72

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown74

##### Declaration

    public ushort unknown74

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown76

##### Declaration

    public ushort unknown76

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown78

##### Declaration

    public ushort unknown78

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown7a

##### Declaration

    public byte unknown7a

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknown7c

##### Declaration

    public float unknown7c

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### unknown8

##### Declaration

    public ushort unknown8

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknown80

##### Declaration

    public ushort unknown80

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknowna

##### Declaration

    public byte unknowna

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### unknownc

##### Declaration

    public ushort unknownc

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### unknowne

##### Declaration

    public ushort unknowne

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Properties

| Improve this Doc View Source

#### RowId

##### Declaration

    public uint RowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SubRowId

##### Declaration

    public uint SubRowId { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### PopulateData(RowParser, Lumina, Language)

##### Declaration

    public void PopulateData(RowParser parser, Lumina lumina, Language language)

##### Parameters

Type | Name | Description
--- | --- | ---
Lumina.Excel.RowParser | parser |
Lumina.Lumina | lumina |
Lumina.Data.Language | language |

### Implements

Lumina.Excel.IExcelRow